using System;
using System.Collections.Generic;
using System.Drawing;

using System.Text;

using Syncfusion.Pdf;
using Syncfusion.Pdf.Shared;

namespace SyncPDFTest
{
    class Program
    {
        static void Main(string[] args)
        {
            string fileName = AppDomain.CurrentDomain.BaseDirectory + "..\\..\\Test.PDF";
            PDFDocument pdfDoc = new PDFDocument();
            IPDFPage page = pdfDoc.LastPage;

            PDFTemplateArea header = pdfDoc.Templates.Add(page.DrawingWidth, 20);
            header.Graphics.DrawRectangle(0, 0, header.Size.Width, 20);
            pdfDoc.Templates.Header = header;

            PDFTemplateArea footer = pdfDoc.Templates.Add(page.DrawingWidth, 20);
            footer.Graphics.DrawRectangle(0, 0, header.Size.Width, 20);

            //If I remove '#p;', it won't show the message.
            string text = "Test Message - Page #p;";
            RectangleF bounds = new RectangleF(0, 15, footer.Size.Width, footer.Size.Height);
            IPDFGraphicState props = pdfDoc.CreateGraphicState();
            props.TextAlignment = TextAlignment.Right;
            props.BreakBehavior = AutoBreakBehavior.Cropping;
            IPDFFont font = pdfDoc.Fonts.Add(FontBaseFamily.HelveticaBold);
            footer.Graphics.DrawMultiText(bounds, text, font, props);


            pdfDoc.Templates.Footer = footer;

            pdfDoc.Save(fileName);
            System.Diagnostics.Process.Start(fileName);

        }

    }
}
